IOSS 2.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ioss::Map Class Reference

`#include <Ioss_Map.h>`

## Public Member Functions
| Map ()=default
| Map (std::string entity_type, std::string file_name, int processor)
| Map (const Map &from)=delete
Map & | operator= (const Map &from)=delete
| ~Map ()=default
void | set_size (size_t entity_count)
size_t | size () const
void | set_is_sequential (bool yesno)
bool | is_sequential (bool check_all=false) const
int64_t | global_to_local (int64_t global, bool must_exist=true) const
template<typename INT >
bool | set_map (INT *ids, size_t count, size_t offset, bool in_define_mode=true)
void | set_default (size_t count, size_t offset=0)
void | build_reverse_map ()
void | build_reverse_map_no_lock ()
void | build_reverse_map (int64_t num_to_get, int64_t offset)
void | release_memory ()
void | reverse_map_data (void *data, const Ioss::Field &field, size_t count) const
| Release memory for all maps. More...
void | map_data (void *data, const Ioss::Field &field, size_t count) const
void | map_implicit_data (void *data, const Ioss::Field &field, size_t count, size_t offset) const
template<typename T >
size_t | map_field_to_db_scalar_order (T *variables, std::vector< double > &db_var, size_t begin_offset, size_t count, size_t stride, size_t offset)
const MapContainer & | map () const
MapContainer & | map ()
bool | defined () const
void | set_defined (bool yes_no)
bool | reorders () const

## Private Member Functions
template<typename INT >
void | reverse_map_data (INT *data, size_t count) const
template<typename INT >
void | map_data (INT *data, size_t count) const
template<typename INT >
void | map_implicit_data (INT *data, size_t count, size_t offset) const
int64_t | global_to_local__ (int64_t global, bool must_exist=true) const
void | build_reorder_map__ (int64_t start, int64_t count)
void | build_reverse_map__ (int64_t num_to_get, int64_t offset)
void | verify_no_duplicate_ids (std::vector< Ioss::IdPair > &reverse_map)

## Private Attributes
MapContainer | m_map
MapContainer | m_reorder
ReverseMapContainer | m_reverse
std::string | m_entityType {"unknown"}
std::string | m_filename {"undefined"}
int64_t | m_offset {-1}
int | m_myProcessor {0}
bool | m_defined {false}

## Constructor & Destructor Documentation

## ◆ Map() [1/3]

Ioss::Map::Map | ( |  | ) |
| default

## ◆ Map() [2/3]

Ioss::Map::Map | ( | std::string | entity_type,
|  | std::string | file_name,
|  | int | processor
| ) |  |
| inline

## ◆ Map() [3/3]

Ioss::Map::Map | ( | const Map & | from | ) |
| delete

## ◆ ~Map()

Ioss::Map::~Map | ( |  | ) |
| default

## Member Function Documentation

## ◆ build_reorder_map__()

void Ioss::Map::build_reorder_map__ | ( | int64_t | start,
|  | int64_t | count
| ) |  |
| private

## ◆ build_reverse_map() [1/2]

void Ioss::Map::build_reverse_map | ( |  | ) |

## ◆ build_reverse_map() [2/2]

void Ioss::Map::build_reverse_map | ( | int64_t | num_to_get,
|  | int64_t | offset
| ) |  |

## ◆ build_reverse_map__()

void Ioss::Map::build_reverse_map__ | ( | int64_t | num_to_get,
|  | int64_t | offset
| ) |  |
| private

## ◆ build_reverse_map_no_lock()

void Ioss::Map::build_reverse_map_no_lock | ( |  | ) |

## ◆ defined()

bool Ioss::Map::defined | ( |  | ) | const
| inline

## ◆ global_to_local()

int64_t Ioss::Map::global_to_local | ( | int64_t | global,
|  | bool | must_exist = `true`
| ) |  | const

## ◆ global_to_local__()

int64_t Ioss::Map::global_to_local__ | ( | int64_t | global,
|  | bool | must_exist = `true`
| ) |  | const
| private

## ◆ is_sequential()

bool Ioss::Map::is_sequential | ( | bool | check_all = `false` | ) | const

## ◆ map() [1/2]

MapContainer& Ioss::Map::map | ( |  | ) |
| inline

## ◆ map() [2/2]

const MapContainer& Ioss::Map::map | ( |  | ) | const
| inline

## ◆ map_data() [1/2]

template<typename INT >

void Ioss::Map::map_data | ( | INT * | data,
|  | size_t | count
| ) |  | const
| private

## ◆ map_data() [2/2]

void Ioss::Map::map_data | ( | void * | data,
|  | const Ioss::Field & | field,
|  | size_t | count
| ) |  | const

## ◆ map_field_to_db_scalar_order()

template<typename T >

size_t Ioss::Map::map_field_to_db_scalar_order | ( | T * | variables,
|  | std::vector< double > & | db_var,
|  | size_t | begin_offset,
|  | size_t | count,
|  | size_t | stride,
|  | size_t | offset
| ) |  |

## ◆ map_implicit_data() [1/2]

template<typename INT >

void Ioss::Map::map_implicit_data | ( | INT * | data,
|  | size_t | count,
|  | size_t | offset
| ) |  | const
| private

## ◆ map_implicit_data() [2/2]

void Ioss::Map::map_implicit_data | ( | void * | data,
|  | const Ioss::Field & | field,
|  | size_t | count,
|  | size_t | offset
| ) |  | const

## ◆ operator=()

Map& Ioss::Map::operator= | ( | const Map & | from | ) |
| delete

## ◆ release_memory()

void Ioss::Map::release_memory | ( |  | ) |

## ◆ reorders()

bool Ioss::Map::reorders | ( |  | ) | const
| inline

## ◆ reverse_map_data() [1/2]

template<typename INT >

void Ioss::Map::reverse_map_data | ( | INT * | data,
|  | size_t | count
| ) |  | const
| private

## ◆ reverse_map_data() [2/2]

void Ioss::Map::reverse_map_data | ( | void * | data,
|  | const Ioss::Field & | field,
|  | size_t | count
| ) |  | const

Release memory for all maps.

## ◆ set_default()

void Ioss::Map::set_default | ( | size_t | count,
|  | size_t | offset = `0`
| ) |  |

## ◆ set_defined()

void Ioss::Map::set_defined | ( | bool | yes_no | ) |
| inline

## ◆ set_is_sequential()

void Ioss::Map::set_is_sequential | ( | bool | yesno | ) |
| inline

## ◆ set_map()

template<typename INT >

bool Ioss::Map::set_map | ( | INT * | ids,
|  | size_t | count,
|  | size_t | offset,
|  | bool | in_define_mode = `true`
| ) |  |

## ◆ set_size()

void Ioss::Map::set_size | ( | size_t | entity_count | ) |

## ◆ size()

size_t Ioss::Map::size | ( |  | ) | const
| inline

## ◆ verify_no_duplicate_ids()

void Ioss::Map::verify_no_duplicate_ids | ( | std::vector< Ioss::IdPair > & | reverse_map | ) |
| private

## Member Data Documentation

## ◆ m_defined

bool Ioss::Map::m_defined {false}
| private

## ◆ m_entityType

std::string Ioss::Map::m_entityType {"unknown"}
| private

## ◆ m_filename

std::string Ioss::Map::m_filename {"undefined"}
| private

## ◆ m_map

MapContainer Ioss::Map::m_map
| private

## ◆ m_myProcessor

int Ioss::Map::m_myProcessor {0}
| private

## ◆ m_offset

int64_t Ioss::Map::m_offset {-1}
| private

## ◆ m_reorder

MapContainer Ioss::Map::m_reorder
| private

## ◆ m_reverse

ReverseMapContainer Ioss::Map::m_reverse
| private

The documentation for this class was generated from the following files:

- src/Ioss_Map.h
- src/Ioss_Map.C